TokenData (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.TokenData class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent
Class TokenData

    java.lang.Object
      org.hyperic.hq.bizapp.agent.TokenData

All Implemented Interfaces:
  java.lang.Cloneable

    public class TokenData

extends java.lang.Object
implements java.lang.Cloneable

TokenData contains information about an authentication token, such as the string token, creation time, etc.

Constructor Summary
`TokenData(java.lang.String token, long createTime, boolean locked)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object other)`
`long` | `getCreateTime()`
`java.lang.String` | `getToken()`
`int` | `hashCode()`
`boolean` | `isLocked()`
`void` | `setLocked(boolean locked)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenData

    public TokenData(java.lang.String token,
                     long createTime,
                     boolean locked)

Method Detail

### getToken

    public java.lang.String getToken()

### getCreateTime

    public long getCreateTime()

### isLocked

    public boolean isLocked()

### setLocked

    public void setLocked(boolean locked)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.